 There are three functions that are used to handle user markers, 
UTE_Create_Marker, UTE_Begin_marker, and UTE_End_marker.

 UTE_Create_marker is used to create a user marker which is used in the 
UTE_Begin_marker and UTE_End_marker functions. There is a default limit of 20
unique user marker ids supported in this release. This can be overridden by
using the -m option to utemerge.

 UTE_Begin_marker is used to generate a trace event marking the beginning of a
region of code that is of interest.

 UTE_End_marker is used to generate a trace event marking the end of a region
of code that is of interest. The same user marker id should be used in the
matching UTE_Begin_marker and UTE_End_marker calls.

 Calls to UTE_Begin_marker and UTE_End_marker need to be properly nested. The
first example is an example of proper usage, and the second example is an
example of incorrect usage.

Example 1:

Create marker 1
Create marker 2
Begin marker 1
Begin marker 2
End marker 2
End marker 1

Example 2:

Create marker 1
Create marker 2
Begin marker 1
Begin marker 2
End marker 1
End marker 2

The invocation for C programs is

void UTE_Create_marker(char *marker_name, int *marker_id);

void UTE_Begin_marker(int marker_id);

void UTE_End_marker(int marker_id);

The invocation for FORTRAN programs is 

call ute_create_marker(character marker_name(*), integer marker_id)

call ute_begin_marker(integer marker_id)

call ute_end_marker(integer marker_id)

marker_name is a name identifying the marker, and may be any valid C string
when called from a C function and any valid FORTRAN string when called from
FORTRAN.

marker_id is the value used to identify the marker. UTE_Create_marker must be
called to create a user marker before UTE_Begin_marker or UTE_End_marker may 
use it.
